# Spustenie
```bash
python stats.py [FILE]
```
alebo
```bash
./stats.py [FILE]
```

# Prepínače

- `-h` - help
- `-i N` - veľkosť intervalu v histograme (defaultne 1)
- `-r {linear,exponential}` - rýchlosť rastu veľkosti intervalu v
  histograme (defaultne linear)
- `-f FILTER` - filter pre histogramy, čiarkou oddelený zoznam
  parametrov

FILTER má tvar `param1,param2,...,paramN`, napr. `age,utime,stime`,
povolené hodnoty parametrov sú:
- age
- utime
- stime
- nvcsw
- nivcsw
- cutime
- cstime
- inblk
- oublk
- cinblk
- coublk
- uid
- exit
- exitsig

# Príklad použitia
```bash
python stats.py -i 10 -r linear zaznam.txt
```
